OPAL_ERRD(8)

NAME
opal_errd - Daemon to read/parse OPAL platform error(s)/event(s)

SYNOPSIS
opal_errd [-e file] [-m max] [-o dir] [-s sysfs] [-n max] [-a days] [-D | -w]

DESCRIPTION
Reads OPAL platform logs from sysfs and writes them to individual files under /var/log/opal-elog. Parses required fields from log and writes one line summary to syslog. Also acknowledges platform log.

OPTIONS

-e file
    Specify custom path to OPAL dump extractor tool (default: /usr/sbin/extract_opal_dump)

-m max
    Maximum number of dumps of a specific type to be retained

-o dir
    Directory to save error/event logs (default: /var/log/opal-elog)

-s sysfs
    Custom path to sysfs

-n max
    Maximum number of elogs to keep (default: 1000). If -c is not specified, 20% of this will be used for the serviceable elogs.

-c max
    Maximum number of serviceable elogs to keep (default: 200)

-a days
    Maximum age in days of elogs to keep. This option is deprecated.

-D  Don't daemonize, just run once

-w  Watch for new events (default when daemon)

-h  Print the usage message and exit

FILES

/sys/firmware/opal/dump
    Directory to find dump files from OPAL

/sys/firmware/opal/elog
    Directory to find error log files from OPAL

/var/log/opal-elog
    Default directory to store error logs

/usr/sbin/extract_opal_dump
    Default path to dump extractor tool

SEE ALSO
opal-elog-dump(8)